---
updatedAt: 2026-05-20T06:30:06.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# List Rewards Withdrawal Intents

Retrieve a list of all outstanding rewards withdrawal intents.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "CardanoNetwork": {
        "name": "network",
        "in": "path",
        "description": "Cardano network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/CardanoNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "CustomerId": {
        "type": "string",
        "description": "Unique identifier for a customer",
        "example": "SatoshiNakamoto-xUYJbPw9hw",
        "minimum": 1
      },
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "UnsignedTransaction": {
        "type": "string",
        "format": "base64",
        "description": "Generated unsigned transaction smart contract call data.",
        "example": "0x22895118000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000000e00000000000000000000000000000000000000000000000000000000000000120087fed394b43849eebef1e88873cd9efdbe33136656e5148e659b8b2f33625d40000000000000000000000000000000000000000000000000000000000000030b81748644e23c4d950f9dd709f3eb73d5eacd9657997e1d9dde7c4ebd8a6519ecb9d0a7fb603d3b68e023278f9650122000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020010000000000000000000000c509bb854c526af4cee5e037089f7aa8e091d8870000000000000000000000000000000000000000000000000000000000000060b36b79b4b206c0310472c117fa40c05342b5dc3e89f98f42c9da3ce6450d4c603cad55248017fd4eca3ab277cca64569193e4d487f5b2ea78a2bcdc81926c313c05842a3af318967a775783bba22519e8b8886587efa99aa7dab5784f792b187\n"
      },
      "CardanoBaseAddress": {
        "type": "string",
        "description": "bech32 encoded base address. [Accounts](https://cips.cardano.org/cips/cip19/).",
        "format": "bech32",
        "example": "addr1vpu5vlrf4xkxv2qpwngf6cjhtw542ayty80v8dyr49rf5eg0yu80w"
      },
      "RewardsWithdrawIntentsCardano": {
        "type": "array",
        "description": "List of Rewards Withdrawal Intents",
        "items": {
          "type": "object",
          "description": "Cardano Protocol Reward Withdrawal Intent",
          "required": [
            "base_address",
            "rewards_amount",
            "unsigned_transaction"
          ],
          "properties": {
            "base_address": {
              "$ref": "#/components/schemas/CardanoBaseAddress"
            },
            "rewards_amount": {
              "$ref": "#/components/schemas/CardanoLovelace"
            },
            "unsigned_transaction": {
              "$ref": "#/components/schemas/UnsignedTransaction"
            }
          }
        }
      },
      "CardanoLovelace": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Cardano.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "CardanoNetwork": {
        "type": "string",
        "description": "Cardano network",
        "enum": [
          "mainnet",
          "preprod",
          "localnet"
        ]
      },
      "CardanoProtocol": {
        "type": "string",
        "description": "Cardano protocol",
        "enum": [
          "cardano"
        ]
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/cardano/{network}/rewards/withdrawal-intents": {
      "parameters": [
        {
          "$ref": "#/components/parameters/CardanoNetwork"
        }
      ],
      "get": {
        "summary": "List Rewards Withdrawal Intents",
        "operationId": "getCardanoRewardsWithdrawalIntents",
        "tags": [
          "Cardano"
        ],
        "description": "Retrieve a list of all outstanding rewards withdrawal intents.",
        "responses": {
          "200": {
            "description": "List of rewards withdraw intents.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "Rewards withdrawal intents.",
                  "required": [
                    "protocol",
                    "network",
                    "customer_id"
                  ],
                  "properties": {
                    "protocol": {
                      "$ref": "#/components/schemas/CardanoProtocol"
                    },
                    "network": {
                      "$ref": "#/components/schemas/CardanoNetwork"
                    },
                    "cardano": {
                      "$ref": "#/components/schemas/RewardsWithdrawIntentsCardano"
                    },
                    "customer_id": {
                      "$ref": "#/components/schemas/CustomerId"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Cardano",
      "description": "Cardano endpoints"
    }
  ]
}
```